      Program XYPlot
* A small program that geneates a graph of (x,y) pairs
* of data values from a file

* graph2.f

      Real X, Y
      Integer I

* open file 'lab7.data'
      Open(Unit=20, file='lab7.data')


      Call SetPlt(71,41, 6,'         XY Plot') 

* make a loop here that reads the pairs of numbers
* from the file until the flag value  is reached
* each pair is stored using StoPnt for future plotting


         Call StoPnt( X, Y, '*')               



* close the data file
      Close(20)

      Call Plot(0)                           
      End                                   
